GNU bug report logs - #34154
[PATCH] /etc/os-release

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Efraim Flashner <efraim@HIDDEN>; Keywords: wontfix patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 34154 <at> debbugs.gnu.org and Efraim Flashner <efraim@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34154 <at> debbugs.gnu.org:


Received: (at 34154) by debbugs.gnu.org; 23 Jan 2019 09:59:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 04:59:31 2019
Received: from localhost ([127.0.0.1]:42056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmFJj-0007dJ-7R
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 04:59:31 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:58994)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gmFJh-0007dB-3f
 for 34154 <at> debbugs.gnu.org; Wed, 23 Jan 2019 04:59:29 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 5D2CC5456;
 Wed, 23 Jan 2019 10:59:28 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id qnJJTm8S4BYL; Wed, 23 Jan 2019 10:59:27 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 61789544F;
 Wed, 23 Jan 2019 10:59:27 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: [bug#34154] [PATCH] /etc/os-release
References: <20190121101740.GB11658@macbook41> <87y37cjruq.fsf@HIDDEN>
 <20190123072017.GA6135@macbook41>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 4 =?utf-8?Q?Pluvi=C3=B4se?= an 227 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 23 Jan 2019 10:59:26 +0100
In-Reply-To: <20190123072017.GA6135@macbook41> (Efraim Flashner's message of
 "Wed, 23 Jan 2019 09:20:18 +0200")
Message-ID: <87h8dzheyp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 34154
Cc: 34154 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello,

Efraim Flashner <efraim@HIDDEN> skribis:

> I found a man page online from freedesktop.org=C2=B9, it seems that it's =
been
> aborbed by systemd at some point.

OK.

> It looks like some build systems can try to get information from it
> during building if they have distro-specific things to do.

That is precisely the kind of bad practice that I=E2=80=99d rather not
encourage.  :-)

> The only software that I know of that we have that would use it would
> be inxi.  guix environment --ad-hoc inxi-minimal -- inxi -S "Distro:
> Unknown" isn't that big of a deal, and we could just submit a patch
> upstream if we really wanted it fixed.

It has other problems:

--8<---------------cut here---------------start------------->8---
$ guix environment -C --ad-hoc inxi-minimal -- inxi -S
sh: tty: command not found
Can't exec "ps": No such file or directory at /gnu/store/4x20lf98vwj357zcj6=
il8zka2d8mr9h0-inxi-minimal-3.0.20-1/bin/.inxi-real line 17535.
Use of uninitialized value in split at /gnu/store/4x20lf98vwj357zcj6il8zka2=
d8mr9h0-inxi-minimal-3.0.20-1/bin/.inxi-real line 17535.
Can't exec "ps": No such file or directory at /gnu/store/4x20lf98vwj357zcj6=
il8zka2d8mr9h0-inxi-minimal-3.0.20-1/bin/.inxi-real line 3052.
Use of uninitialized value in split at /gnu/store/4x20lf98vwj357zcj6il8zka2=
d8mr9h0-inxi-minimal-3.0.20-1/bin/.inxi-real line 3052.
Can't exec "ps": No such file or directory at /gnu/store/4x20lf98vwj357zcj6=
il8zka2d8mr9h0-inxi-minimal-3.0.20-1/bin/.inxi-real line 17535.
Use of uninitialized value in split at /gnu/store/4x20lf98vwj357zcj6il8zka2=
d8mr9h0-inxi-minimal-3.0.20-1/bin/.inxi-real line 17535.
12System:    12Host ribbon 12Kernel 4.20.3-gnu x86_64 12bits 64 12Console N=
/A 12Distro unknown=20
--8<---------------cut here---------------end--------------->8---

> That said, I'm happy enough to plop it in my own os-config and drop the
> patch.

OK, let=E2=80=99s take that route.

That said, I=E2=80=99m clearly opinionated ;-), but if that turns out to be=
 a
hindrance to many, we can revisit this issue.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#34154; Package guix-patches. Full text available.

Message received at 34154 <at> debbugs.gnu.org:


Received: (at 34154) by debbugs.gnu.org; 23 Jan 2019 07:20:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 02:20:27 2019
Received: from localhost ([127.0.0.1]:41938 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmCpn-0003oG-6V
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 02:20:27 -0500
Received: from flashner.co.il ([178.62.234.194]:37412)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1gmCpk-0003nt-SB
 for 34154 <at> debbugs.gnu.org; Wed, 23 Jan 2019 02:20:25 -0500
Received: from localhost (unknown [188.120.128.87])
 by flashner.co.il (Postfix) with ESMTPSA id 27434400D1;
 Wed, 23 Jan 2019 07:20:19 +0000 (UTC)
Date: Wed, 23 Jan 2019 09:20:18 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#34154] [PATCH] /etc/os-release
Message-ID: <20190123072017.GA6135@macbook41>
References: <20190121101740.GB11658@macbook41>
 <87y37cjruq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="J2SCkAp4GZ/dPZZf"
Content-Disposition: inline
In-Reply-To: <87y37cjruq.fsf@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34154
Cc: 34154 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--J2SCkAp4GZ/dPZZf
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Jan 22, 2019 at 10:38:05PM +0100, Ludovic Court=C3=A8s wrote:
> Hello!
>=20
> Efraim Flashner <efraim@HIDDEN> skribis:
>=20
> > Currently GuixSD ships without an '/etc/os-release' file. This simple
> > service aims to correct this.
>=20
> I=E2=80=99m not very enthusiastic.  :-)
>=20
> I think /etc/os-release is a hack and the primary motivation behind it
> was (I believe) to allow proprietary programs to make assumptions on the
> file system layout, available services, etc. based on the distribution
> running.
>=20
> WDYT?  Did you encounter situations where lack of this file was causing
> problems?
>=20

I found a man page online from freedesktop.org=C2=B9, it seems that it's be=
en
aborbed by systemd at some point. It looks like some build systems can
try to get information from it during building if they have
distro-specific things to do. The only software that I know of that we
have that would use it would be inxi.
guix environment --ad-hoc inxi-minimal -- inxi -S
"Distro: Unknown" isn't that big of a deal, and we could just submit a
patch upstream if we really wanted it fixed.

That said, I'm happy enough to plop it in my own os-config and drop the
patch.

=C2=B9https://www.freedesktop.org/software/systemd/man/os-release.html

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--J2SCkAp4GZ/dPZZf
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAlxIFa4ACgkQQarn3Mo9
g1HSCxAAu/xa49dXm2NaSMIpRcnjHL7w3LF0SVVJFVYUpasa9wmiOiqdFAMZ93pg
mpMAdSkaEc6LON4ksjNeFSKwcLd8lkRrtu1Kj5D/+kIA5j5XLK4b0JQdk27WMnte
croqcDBBn6g1zjfcrCdVdxjKkKvVz/uDgK/iaXQ+ASYojOtmHDjsgDETaVn9plLs
ytHR6T6KsqXqsbgI7ifVjrSGngWwHoJR9b91Pjpf/Lw3EBiT1NaQUwLB6fnU5TJ7
OBXTbH+5/goGgxd1vESNb/qPF1FP48GuQgzxYM1hOhW3Lhnd2auNE0N/IbvTQCdg
6alM/WNVFvUTpjzYs5GlfGAjxlTb2RrW5nZfyQ3Vvfvq0x7WIxJgXpsA8PhSwjaB
C49cuR0rwdamcW6AjardQ+jvfgXdAkfD3Hec08N5oHNeyCFZZJDSghZenZ/uo8g1
rkJkUU9IZgyyMfG9PLyw+Nc6cE7PrEITkvpg1PYU9gsW7znMShSEH+mmJrXgafKz
6gKEPDCSLRWVK2kZz0hiRixt+wxyrTgkm+SWIwb4Ns6NyrtT+LajLhdhkOEVJFjz
Q4S1fFRSxF+2+9IdVteqmzzQzRsQSARz8rrrLW8WQPTxTty2dyq0z/vE8vEbOc9q
X7VPlbamOMs/arKRR5cEe92vcEbpA/Op5crR/7WV5Y/DbI6XoWw=
=a83l
-----END PGP SIGNATURE-----

--J2SCkAp4GZ/dPZZf--




Information forwarded to guix-patches@HIDDEN:
bug#34154; Package guix-patches. Full text available.

Message received at 34154 <at> debbugs.gnu.org:


Received: (at 34154) by debbugs.gnu.org; 22 Jan 2019 21:38:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 22 16:38:11 2019
Received: from localhost ([127.0.0.1]:41629 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gm3kJ-0001qM-KB
	for submit <at> debbugs.gnu.org; Tue, 22 Jan 2019 16:38:11 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:50534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gm3kI-0001qE-5i
 for 34154 <at> debbugs.gnu.org; Tue, 22 Jan 2019 16:38:10 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 8FDE84ED5;
 Tue, 22 Jan 2019 22:38:08 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 3-FPhy5zoVAF; Tue, 22 Jan 2019 22:38:06 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 37A4A4D9E;
 Tue, 22 Jan 2019 22:38:06 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: [bug#34154] [PATCH] /etc/os-release
References: <20190121101740.GB11658@macbook41>
Date: Tue, 22 Jan 2019 22:38:05 +0100
In-Reply-To: <20190121101740.GB11658@macbook41> (Efraim Flashner's message of
 "Mon, 21 Jan 2019 12:17:40 +0200")
Message-ID: <87y37cjruq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 34154
Cc: 34154 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello!

Efraim Flashner <efraim@HIDDEN> skribis:

> Currently GuixSD ships without an '/etc/os-release' file. This simple
> service aims to correct this.

I=E2=80=99m not very enthusiastic.  :-)

I think /etc/os-release is a hack and the primary motivation behind it
was (I believe) to allow proprietary programs to make assumptions on the
file system layout, available services, etc. based on the distribution
running.

WDYT?  Did you encounter situations where lack of this file was causing
problems?

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#34154; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Jan 2019 10:17:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 05:17:54 2019
Received: from localhost ([127.0.0.1]:39455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glWeP-0006zN-Nz
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 05:17:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54021)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1glWeN-0006zA-CS
 for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 05:17:51 -0500
Received: from lists.gnu.org ([209.51.188.17]:33618)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <efraim@HIDDEN>)
 id 1glWeI-0003S7-2p
 for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 05:17:46 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35989)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <efraim@HIDDEN>) id 1glWeH-0002OR-1f
 for guix-patches@HIDDEN; Mon, 21 Jan 2019 05:17:45 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <efraim@HIDDEN>) id 1glWeG-0003RG-47
 for guix-patches@HIDDEN; Mon, 21 Jan 2019 05:17:45 -0500
Received: from flashner.co.il ([178.62.234.194]:42942)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <efraim@HIDDEN>) id 1glWeF-0003QD-PU
 for guix-patches@HIDDEN; Mon, 21 Jan 2019 05:17:44 -0500
Received: from localhost (unknown [188.120.128.87])
 by flashner.co.il (Postfix) with ESMTPSA id 69967400E6
 for <guix-patches@HIDDEN>; Mon, 21 Jan 2019 10:17:41 +0000 (UTC)
Date: Mon, 21 Jan 2019 12:17:40 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] /etc/os-release
Message-ID: <20190121101740.GB11658@macbook41>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="xesSdrSSBC0PokLI"
Content-Disposition: inline
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
User-Agent: Mutt/1.11.0 (2018-11-25)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 178.62.234.194
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


--xesSdrSSBC0PokLI
Content-Type: multipart/mixed; boundary="5/uDoXvLw7AC5HRs"
Content-Disposition: inline


--5/uDoXvLw7AC5HRs
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Currently GuixSD ships without an '/etc/os-release' file. This simple
service aims to correct this.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--5/uDoXvLw7AC5HRs
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0001-services-Add-os-release-file.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 57918a48ee7c649470ab20cb7337bc5528df515e Mon Sep 17 00:00:00 2001
=46rom: Efraim Flashner <efraim@HIDDEN>
Date: Mon, 21 Jan 2019 12:16:31 +0200
Subject: [PATCH] services: Add os-release-file.

* gnu/services/base.scm (%os-release-file): New variable.
(%base-services): Add it.
---
 gnu/services/base.scm | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/gnu/services/base.scm b/gnu/services/base.scm
index d2baea0dd..7af3142cf 100644
--- a/gnu/services/base.scm
+++ b/gnu/services/base.scm
@@ -2294,6 +2294,17 @@ to handle."
                                            (requirement requirement)
                                            (name-servers name-servers)))))
=20
+(define %os-release-file
+  (plain-file "os-release"
+              (string-append
+                "NAME=3D\"GNU Guix\"\n"
+                "PRETTY_NAME=3D\"GNU Guix\"\n"
+                "VERSION=3D\""((@ (guix packages) package-version) guix)"\=
"\n"
+                "ID=3Dguix\n"
+                "HOME_URL=3D\"https://www.gnu.org/software/guix/\"\n"
+                "SUPPORT_URL=3D\"https://www.gnu.org/software/guix/help/\"=
\n"
+                "BUG_REPORT_URL=3D\"mailto:bug-guix@HIDDEN\"\n")))
+
 =0C
 (define %base-services
   ;; Convenience variable holding the basic services.
@@ -2340,6 +2351,9 @@ to handle."
                  (udev-configuration
                    (rules (list lvm2 fuse alsa-utils crda))))
=20
+        (service special-files-service-type
+                 `(("/etc/os-release" ,%os-release-file)))
+
         (service special-files-service-type
                  `(("/bin/sh" ,(file-append (canonical-package bash)
                                             "/bin/sh"))))))
--=20
2.20.1


--5/uDoXvLw7AC5HRs--

--xesSdrSSBC0PokLI
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAlxFnEQACgkQQarn3Mo9
g1EnjRAAkvxCLPzBnzylsjg6tmQbVKx/lYuDsk4CRQUAztBlT+viWsPxpmoeY6vz
9Y4nYQrDV5OrkoHg4OOv5Z8A/zFf2jjUZnDCFhut6UBmVzTIJgBdfA0o24m5CXZx
1arLiJmd8ZHYZFAP1y67nkDp/mn/dfP4AKd49eacuVTX9MBdrDL8hV1706WVsKHN
ISl77IKIrLtTWF0QiqTEmFI0B/yyf/V1600dH9vM6rNYlt1ZGUrMrmEVhJ5grpke
k2XJEuxsYVQJjXH831L1UxV0iV/C1yNUEHe0f2bhDdERVKNmjg9Tu4U9qS0KajNR
Pr8vJzgYjuUy9unDaDmqh8u0+qjxm8Dy5khfiHb/6JrrAyW4r/6yaAkocje3DgNL
SGgZXTk7SWHLywMVSeHkDOwvE9jSX06lhWoYaU2xs3Vp0k4UakUPt9rNwXW0Zajd
IbOoq7j62USxHXtGB06vyLBsyHvHCSZ6NmfltnkujzE7znDImolxqX0y5kChFUhP
/FrGmGj0A2o3Z0kBiiyaryzlgmuTY3219+ZFRhi052+8MEFbbhJqNS/jvMx7HBFp
reURJhiTPPDK+GqiXufshUT2Dr+yGNM7xvwKQbPbU8VF9qE0Bb/xWwgGkz7ow1Pd
fqYfHSpbh0Knhuz9/Y+K6C1t9dTod/2X2yTPeZwhCHC2C6lKl8o=
=jKVI
-----END PGP SIGNATURE-----

--xesSdrSSBC0PokLI--




Acknowledgement sent to Efraim Flashner <efraim@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#34154; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 23 Jan 2019 10:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.